# GstRTSPMessage

Provides methods for creating and parsing request, response and data messages.

## GstRTSPAuthCredential

RTSP Authentication credentials

### Members

`scheme` (GstRTSPAuthMethod) –

a GstRTSPAuthMethod

`params` (GstRTSPAuthParam **) –

A NULL-terminated array of GstRTSPAuthParam

`authorization` (gchar*) –

The authorization for the basic schem

Since : 1.12

## GstRtsp.RTSPAuthCredential

RTSP Authentication credentials

### Members

`scheme` (GstRtsp.RTSPAuthMethod) –

a GstRtsp.RTSPAuthMethod

`params` (GstRtsp.RTSPAuthParam) –

A NULL-terminated array of GstRtsp.RTSPAuthParam

`authorization` (String) –

The authorization for the basic schem

Since : 1.12

## GstRtsp.RTSPAuthCredential

RTSP Authentication credentials

### Members

`scheme` (GstRtsp.RTSPAuthMethod) –

a GstRtsp.RTSPAuthMethod

`params` (GstRtsp.RTSPAuthParam) –

A NULL-terminated array of GstRtsp.RTSPAuthParam

`authorization` (str) –

The authorization for the basic schem

Since : 1.12

## GstRTSPAuthParam

RTSP Authentication parameter

### Members

`name` (gchar*) –

The name of the parameter

`value` (gchar*) –

The value of the parameter

Since : 1.12

## GstRtsp.RTSPAuthParam

RTSP Authentication parameter

### Members

`name` (String) –

The name of the parameter

`value` (String) –

The value of the parameter

Since : 1.12

## GstRtsp.RTSPAuthParam

RTSP Authentication parameter

### Members

`name` (str) –

The name of the parameter

`value` (str) –

The value of the parameter

Since : 1.12

### Methods

#### gst_rtsp_auth_param_copy

    GstRTSPAuthParam *
    gst_rtsp_auth_param_copy (GstRTSPAuthParam * param)

Parameters:

`param` –
No description available
Returns –
No description available

#### GstRtsp.RTSPAuthParam.prototype.copy

    function GstRtsp.RTSPAuthParam.prototype.copy(): {
        // javascript wrapper for 'gst_rtsp_auth_param_copy'
    }

Parameters:

`param` (GstRtsp.RTSPAuthParam) –
No description available
Returns (GstRtsp.RTSPAuthParam) –
No description available

#### GstRtsp.RTSPAuthParam.copy

    def GstRtsp.RTSPAuthParam.copy (self):
        #python wrapper for 'gst_rtsp_auth_param_copy'

Parameters:

`param` (GstRtsp.RTSPAuthParam) –
No description available
Returns (GstRtsp.RTSPAuthParam) –
No description available

#### gst_rtsp_auth_param_free

    gst_rtsp_auth_param_free (GstRTSPAuthParam * param)

Parameters:

`param` –
No description available

#### GstRtsp.RTSPAuthParam.prototype.free

    function GstRtsp.RTSPAuthParam.prototype.free(): {
        // javascript wrapper for 'gst_rtsp_auth_param_free'
    }

Parameters:

`param` (GstRtsp.RTSPAuthParam) –
No description available

#### GstRtsp.RTSPAuthParam.free

    def GstRtsp.RTSPAuthParam.free (self):
        #python wrapper for 'gst_rtsp_auth_param_free'

Parameters:

`param` (GstRtsp.RTSPAuthParam) –
No description available

## GstRTSPMessage

An RTSP message containing request, response or data messages. Depending on the type, the appropriate structure may be accessed.

### Members

`type` (GstRTSPMsgType) –

the message type

`type_data.request.method` (GstRTSPMethod) –
No description available
`type_data.request.uri` (gchar*) –
No description available
`type_data.request.version` (GstRTSPVersion) –
No description available
`code` (GstRTSPStatusCode) –
No description available
`reason` (gchar*) –
No description available
`version` (GstRTSPVersion) –
No description available
`channel` (guint8) –
No description available

## GstRtsp.RTSPMessage

An RTSP message containing request, response or data messages. Depending on the type, the appropriate structure may be accessed.

### Members

`type` (GstRtsp.RTSPMsgType) –

the message type

## GstRtsp.RTSPMessage

An RTSP message containing request, response or data messages. Depending on the type, the appropriate structure may be accessed.

### Members

`type` (GstRtsp.RTSPMsgType) –

the message type

### Methods

#### gst_rtsp_message_add_header

    GstRTSPResult
    gst_rtsp_message_add_header (GstRTSPMessage * msg,
                                 GstRTSPHeaderField field,
                                 const gchar* value)

Add a header with key field and value to msg. This function takes a copy of value.

Parameters:

`msg` –

a GstRTSPMessage

`field` –

a GstRTSPHeaderField

`value` ( [transfer: none]) –

the value of the header

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.add_header

    function GstRtsp.RTSPMessage.prototype.add_header(field: GstRtsp.RTSPHeaderField, value: String): {
        // javascript wrapper for 'gst_rtsp_message_add_header'
    }

Add a header with key field and value to msg. This function takes a copy of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`value` (String) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.add_header

    def GstRtsp.RTSPMessage.add_header (self, field, value):
        #python wrapper for 'gst_rtsp_message_add_header'

Add a header with key field and value to msg. This function takes a copy of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`value` (str) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_add_header_by_name

    GstRTSPResult
    gst_rtsp_message_add_header_by_name (GstRTSPMessage * msg,
                                         const gchar* header,
                                         const gchar* value)

Add a header with key header and value to msg. This function takes a copy of value.

Parameters:

`msg` –

a GstRTSPMessage

`header` ( [transfer: none]) –

header string

`value` ( [transfer: none]) –

the value of the header

Returns –

a GstRTSPResult.

Since : 1.6

#### GstRtsp.RTSPMessage.prototype.add_header_by_name

    function GstRtsp.RTSPMessage.prototype.add_header_by_name(header: String, value: String): {
        // javascript wrapper for 'gst_rtsp_message_add_header_by_name'
    }

Add a header with key header and value to msg. This function takes a copy of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (String) –

header string

`value` (String) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

Since : 1.6

#### GstRtsp.RTSPMessage.add_header_by_name

    def GstRtsp.RTSPMessage.add_header_by_name (self, header, value):
        #python wrapper for 'gst_rtsp_message_add_header_by_name'

Add a header with key header and value to msg. This function takes a copy of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (str) –

header string

`value` (str) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

Since : 1.6

#### gst_rtsp_message_append_headers

    GstRTSPResult
    gst_rtsp_message_append_headers (const GstRTSPMessage * msg,
                                     GString * str)

Append the currently configured headers in msg to the GString str suitable for transmission.

Parameters:

`msg` –

a GstRTSPMessage

`str` ( [transfer: none]) –

a string

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.append_headers

    function GstRtsp.RTSPMessage.prototype.append_headers(str: GString (not introspectable)): {
        // javascript wrapper for 'gst_rtsp_message_append_headers'
    }

Append the currently configured headers in msg to the GString (not introspectable) str suitable for transmission.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`str` (GString (not introspectable)) –

a string

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.append_headers

    def GstRtsp.RTSPMessage.append_headers (self, str):
        #python wrapper for 'gst_rtsp_message_append_headers'

Append the currently configured headers in msg to the GString (not introspectable) str suitable for transmission.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`str` (GString (not introspectable)) –

a string

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_copy

    GstRTSPResult
    gst_rtsp_message_copy (const GstRTSPMessage * msg,
                           GstRTSPMessage ** copy)

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_rtsp_message_free function.

Parameters:

`msg` –

a GstRTSPMessage

`copy` ( [out][nullable][transfer: full]) –

pointer to new GstRTSPMessage

Returns –

a GstRTSPResult

Since : 1.14

#### GstRtsp.RTSPMessage.prototype.copy

    function GstRtsp.RTSPMessage.prototype.copy(): {
        // javascript wrapper for 'gst_rtsp_message_copy'
    }

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_rtsp_message_free function.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult

`copy` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult

Since : 1.14

#### GstRtsp.RTSPMessage.copy

    def GstRtsp.RTSPMessage.copy (self):
        #python wrapper for 'gst_rtsp_message_copy'

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_rtsp_message_free function.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult

`copy` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult

Since : 1.14

#### gst_rtsp_message_dump

    GstRTSPResult
    gst_rtsp_message_dump (GstRTSPMessage * msg)

Dump the contents of msg to stdout.

Parameters:

`msg` –

a GstRTSPMessage

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.dump

    function GstRtsp.RTSPMessage.prototype.dump(): {
        // javascript wrapper for 'gst_rtsp_message_dump'
    }

Dump the contents of msg to stdout.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.dump

    def GstRtsp.RTSPMessage.dump (self):
        #python wrapper for 'gst_rtsp_message_dump'

Dump the contents of msg to stdout.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_free

    GstRTSPResult
    gst_rtsp_message_free (GstRTSPMessage * msg)

Free the memory used by msg.

Parameters:

`msg` –

a GstRTSPMessage

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.free

    function GstRtsp.RTSPMessage.prototype.free(): {
        // javascript wrapper for 'gst_rtsp_message_free'
    }

Free the memory used by msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.free

    def GstRtsp.RTSPMessage.free (self):
        #python wrapper for 'gst_rtsp_message_free'

Free the memory used by msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_get_body

    GstRTSPResult
    gst_rtsp_message_get_body (const GstRTSPMessage * msg,
                               guint8** data,
                               guint* size)

Get the body of msg. data remains valid for as long as msg is valid and unchanged.

If the message body was set as a GstBuffer before this will cause the data to be copied and stored in the message. The GstBuffer will no longer be kept in the message.

Parameters:

`msg` –

a GstRTSPMessage

`data` ( [out][transfer: none][arraylength=size]) –

location for the data

`size` ( [out]) –

location for the size of data

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.get_body

    function GstRtsp.RTSPMessage.prototype.get_body(): {
        // javascript wrapper for 'gst_rtsp_message_get_body'
    }

Get the body of msg. data remains valid for as long as msg is valid and unchanged.

If the message body was set as a Gst.Buffer before this will cause the data to be copied and stored in the message. The Gst.Buffer will no longer be kept in the message.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`data` ([ Number ] ) –

GstRtsp.RTSPResult.OK.

`size` (Number ) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.get_body

    def GstRtsp.RTSPMessage.get_body (self):
        #python wrapper for 'gst_rtsp_message_get_body'

Get the body of msg. data remains valid for as long as msg is valid and unchanged.

If the message body was set as a Gst.Buffer before this will cause the data to be copied and stored in the message. The Gst.Buffer will no longer be kept in the message.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`data` ([ int ] ) –

GstRtsp.RTSPResult.OK.

`size` (int ) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_get_body_buffer

    GstRTSPResult
    gst_rtsp_message_get_body_buffer (const GstRTSPMessage * msg,
                                      GstBuffer ** buffer)

Get the body of msg. buffer remains valid for as long as msg is valid and unchanged.

If body data was set from raw memory instead of a GstBuffer this function will always return NULL. The caller can check if there is a body buffer by calling gst_rtsp_message_has_body_buffer.

Parameters:

`msg` –

a GstRTSPMessage

`buffer` ( [out][transfer: none]) –

location for the buffer

Returns –

GST_RTSP_OK.

Since : 1.16

#### GstRtsp.RTSPMessage.prototype.get_body_buffer

    function GstRtsp.RTSPMessage.prototype.get_body_buffer(): {
        // javascript wrapper for 'gst_rtsp_message_get_body_buffer'
    }

Get the body of msg. buffer remains valid for as long as msg is valid and unchanged.

If body data was set from raw memory instead of a Gst.Buffer this function will always return NULL. The caller can check if there is a body buffer by calling GstRtsp.RTSPMessage.prototype.has_body_buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`buffer` (Gst.Buffer ) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### GstRtsp.RTSPMessage.get_body_buffer

    def GstRtsp.RTSPMessage.get_body_buffer (self):
        #python wrapper for 'gst_rtsp_message_get_body_buffer'

Get the body of msg. buffer remains valid for as long as msg is valid and unchanged.

If body data was set from raw memory instead of a Gst.Buffer this function will always return NULL. The caller can check if there is a body buffer by calling GstRtsp.RTSPMessage.has_body_buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`buffer` (Gst.Buffer ) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### gst_rtsp_message_get_header

    GstRTSPResult
    gst_rtsp_message_get_header (const GstRTSPMessage * msg,
                                 GstRTSPHeaderField field,
                                 gchar** value,
                                 gint indx)

Get the indx header value with key field from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` –

a GstRTSPMessage

`field` –

a GstRTSPHeaderField

`value` ( [out][transfer: none][optional][nullable]) –

pointer to hold the result

`indx` –

the index of the header

Returns –

GST_RTSP_OK when field was found, GST_RTSP_ENOTIMPL if the key was not found.

#### GstRtsp.RTSPMessage.prototype.get_header

    function GstRtsp.RTSPMessage.prototype.get_header(field: GstRtsp.RTSPHeaderField, indx: Number): {
        // javascript wrapper for 'gst_rtsp_message_get_header'
    }

Get the indx header value with key field from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`indx` (Number) –

the index of the header

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

`value` (String ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

#### GstRtsp.RTSPMessage.get_header

    def GstRtsp.RTSPMessage.get_header (self, field, indx):
        #python wrapper for 'gst_rtsp_message_get_header'

Get the indx header value with key field from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`indx` (int) –

the index of the header

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

`value` (str ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

#### gst_rtsp_message_get_header_by_name

    GstRTSPResult
    gst_rtsp_message_get_header_by_name (GstRTSPMessage * msg,
                                         const gchar* header,
                                         gchar** value,
                                         gint index)

Get the index header value with key header from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` –

a GstRTSPMessage

`header` –

a GstRTSPHeaderField

`value` ( [out][transfer: none][optional][nullable]) –

pointer to hold the result

`index` –

the index of the header

Returns –

GST_RTSP_OK when field was found, GST_RTSP_ENOTIMPL if the key was not found.

Since : 1.6

#### GstRtsp.RTSPMessage.prototype.get_header_by_name

    function GstRtsp.RTSPMessage.prototype.get_header_by_name(header: String, index: Number): {
        // javascript wrapper for 'gst_rtsp_message_get_header_by_name'
    }

Get the index header value with key header from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (String) –

a GstRtsp.RTSPHeaderField

`index` (Number) –

the index of the header

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

`value` (String ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

Since : 1.6

#### GstRtsp.RTSPMessage.get_header_by_name

    def GstRtsp.RTSPMessage.get_header_by_name (self, header, index):
        #python wrapper for 'gst_rtsp_message_get_header_by_name'

Get the index header value with key header from msg. The result in value stays valid as long as it remains present in msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (str) –

a GstRtsp.RTSPHeaderField

`index` (int) –

the index of the header

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

`value` (str ) –

GstRtsp.RTSPResult.OK when field was found, GstRtsp.RTSPResult.ENOTIMPL if the key was not found.

Since : 1.6

#### gst_rtsp_message_get_type

    GstRTSPMsgType
    gst_rtsp_message_get_type (GstRTSPMessage * msg)

Get the message type of msg.

Parameters:

`msg` –

a GstRTSPMessage

Returns –

the message type.

#### GstRtsp.RTSPMessage.prototype.get_type

    function GstRtsp.RTSPMessage.prototype.get_type(): {
        // javascript wrapper for 'gst_rtsp_message_get_type'
    }

Get the message type of msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPMsgType) –

the message type.

#### GstRtsp.RTSPMessage.get_type

    def GstRtsp.RTSPMessage.get_type (self):
        #python wrapper for 'gst_rtsp_message_get_type'

Get the message type of msg.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPMsgType) –

the message type.

#### gst_rtsp_message_has_body_buffer

    gboolean
    gst_rtsp_message_has_body_buffer (const GstRTSPMessage * msg)

Checks if msg has a body and the body is stored as GstBuffer.

Parameters:

`msg` –

a GstRTSPMessage

Returns –

TRUE if msg has a body and it's stored as GstBuffer, FALSE otherwise.

Since : 1.16

#### GstRtsp.RTSPMessage.prototype.has_body_buffer

    function GstRtsp.RTSPMessage.prototype.has_body_buffer(): {
        // javascript wrapper for 'gst_rtsp_message_has_body_buffer'
    }

Checks if msg has a body and the body is stored as Gst.Buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (Number) –

TRUE if msg has a body and it's stored as Gst.Buffer, FALSE otherwise.

Since : 1.16

#### GstRtsp.RTSPMessage.has_body_buffer

    def GstRtsp.RTSPMessage.has_body_buffer (self):
        #python wrapper for 'gst_rtsp_message_has_body_buffer'

Checks if msg has a body and the body is stored as Gst.Buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (bool) –

TRUE if msg has a body and it's stored as Gst.Buffer, FALSE otherwise.

Since : 1.16

#### gst_rtsp_message_init

    GstRTSPResult
    gst_rtsp_message_init (GstRTSPMessage * msg)

Initialize msg. This function is mostly used when msg is allocated on the stack. The reverse operation of this is gst_rtsp_message_unset.

Parameters:

`msg` ( [transfer: none]) –

a GstRTSPMessage

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.init

    function GstRtsp.RTSPMessage.prototype.init(): {
        // javascript wrapper for 'gst_rtsp_message_init'
    }

Initialize msg. This function is mostly used when msg is allocated on the stack. The reverse operation of this is GstRtsp.RTSPMessage.prototype.unset.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.init

    def GstRtsp.RTSPMessage.init (self):
        #python wrapper for 'gst_rtsp_message_init'

Initialize msg. This function is mostly used when msg is allocated on the stack. The reverse operation of this is GstRtsp.RTSPMessage.unset.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_init_data

    GstRTSPResult
    gst_rtsp_message_init_data (GstRTSPMessage * msg,
                                guint8 channel)

Initialize a new data GstRTSPMessage for channel.

Parameters:

`msg` ( [transfer: none]) –

a GstRTSPMessage

`channel` –

a channel

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.init_data

    function GstRtsp.RTSPMessage.prototype.init_data(channel: Number): {
        // javascript wrapper for 'gst_rtsp_message_init_data'
    }

Initialize a new data GstRtsp.RTSPMessage for channel.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`channel` (Number) –

a channel

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.init_data

    def GstRtsp.RTSPMessage.init_data (self, channel):
        #python wrapper for 'gst_rtsp_message_init_data'

Initialize a new data GstRtsp.RTSPMessage for channel.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`channel` (int) –

a channel

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_init_request

    GstRTSPResult
    gst_rtsp_message_init_request (GstRTSPMessage * msg,
                                   GstRTSPMethod method,
                                   const gchar* uri)

Initialize msg as a request message with method and uri. To clear msg again, use gst_rtsp_message_unset.

Parameters:

`msg` ( [transfer: none]) –

a GstRTSPMessage

`method` –

the request method to use

`uri` ( [transfer: none]) –

the uri of the request

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.init_request

    function GstRtsp.RTSPMessage.prototype.init_request(method: GstRtsp.RTSPMethod, uri: String): {
        // javascript wrapper for 'gst_rtsp_message_init_request'
    }

Initialize msg as a request message with method and uri. To clear msg again, use GstRtsp.RTSPMessage.prototype.unset.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`method` (GstRtsp.RTSPMethod) –

the request method to use

`uri` (String) –

the uri of the request

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.init_request

    def GstRtsp.RTSPMessage.init_request (self, method, uri):
        #python wrapper for 'gst_rtsp_message_init_request'

Initialize msg as a request message with method and uri. To clear msg again, use GstRtsp.RTSPMessage.unset.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`method` (GstRtsp.RTSPMethod) –

the request method to use

`uri` (str) –

the uri of the request

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_init_response

    GstRTSPResult
    gst_rtsp_message_init_response (GstRTSPMessage * msg,
                                    GstRTSPStatusCode code,
                                    const gchar* reason,
                                    const GstRTSPMessage * request)

Initialize msg with code and reason.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`msg` ( [transfer: none]) –

a GstRTSPMessage

`code` –

the status code

`reason` ( [transfer: none][nullable]) –

the status reason or NULL

`request` ( [transfer: none][nullable]) –

the request that triggered the response or NULL

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.init_response

    function GstRtsp.RTSPMessage.prototype.init_response(code: GstRtsp.RTSPStatusCode, reason: String, request: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_message_init_response'
    }

Initialize msg with code and reason.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`code` (GstRtsp.RTSPStatusCode) –

the status code

`reason` (String) –

the status reason or NULL

`request` (GstRtsp.RTSPMessage) –

the request that triggered the response or NULL

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.init_response

    def GstRtsp.RTSPMessage.init_response (self, code, reason, request):
        #python wrapper for 'gst_rtsp_message_init_response'

Initialize msg with code and reason.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`code` (GstRtsp.RTSPStatusCode) –

the status code

`reason` (str) –

the status reason or NULL

`request` (GstRtsp.RTSPMessage) –

the request that triggered the response or NULL

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_parse_auth_credentials

    GstRTSPAuthCredential **
    gst_rtsp_message_parse_auth_credentials (GstRTSPMessage * msg,
                                             GstRTSPHeaderField field)

Parses the credentials given in a WWW-Authenticate or Authorization header.

Parameters:

`msg` –

a GstRTSPMessage

`field` –

a GstRTSPHeaderField

Returns –

(transfer full) (array zero-terminated=1): NULL-terminated array of GstRTSPAuthCredential or NULL.

Since : 1.12

#### GstRtsp.RTSPMessage.prototype.parse_auth_credentials

    function GstRtsp.RTSPMessage.prototype.parse_auth_credentials(field: GstRtsp.RTSPHeaderField): {
        // javascript wrapper for 'gst_rtsp_message_parse_auth_credentials'
    }

Parses the credentials given in a WWW-Authenticate or Authorization header.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns ([ GstRtsp.RTSPAuthCredential ]) –

(transfer full) (array zero-terminated=1): NULL-terminated array of GstRTSPAuthCredential or NULL.

Since : 1.12

#### GstRtsp.RTSPMessage.parse_auth_credentials

    def GstRtsp.RTSPMessage.parse_auth_credentials (self, field):
        #python wrapper for 'gst_rtsp_message_parse_auth_credentials'

Parses the credentials given in a WWW-Authenticate or Authorization header.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns ([ GstRtsp.RTSPAuthCredential ]) –

(transfer full) (array zero-terminated=1): NULL-terminated array of GstRTSPAuthCredential or NULL.

Since : 1.12

#### gst_rtsp_message_parse_data

    GstRTSPResult
    gst_rtsp_message_parse_data (GstRTSPMessage * msg,
                                 guint8* channel)

Parse the data message msg and store the channel in channel.

Parameters:

`msg` –

a GstRTSPMessage

`channel` ( [out][optional]) –

location to hold the channel

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.parse_data

    function GstRtsp.RTSPMessage.prototype.parse_data(): {
        // javascript wrapper for 'gst_rtsp_message_parse_data'
    }

Parse the data message msg and store the channel in channel.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`channel` (Number ) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.parse_data

    def GstRtsp.RTSPMessage.parse_data (self):
        #python wrapper for 'gst_rtsp_message_parse_data'

Parse the data message msg and store the channel in channel.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`channel` (int ) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_parse_request

    GstRTSPResult
    gst_rtsp_message_parse_request (GstRTSPMessage * msg,
                                    GstRTSPMethod * method,
                                    const gchar** uri,
                                    GstRTSPVersion * version)

Parse the request message msg and store the values method, uri and version. The result locations can be NULL if one is not interested in its value.

uri remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` –

a GstRTSPMessage

`method` ( [out][optional]) –

location to hold the method

`uri` ( [out][optional][transfer: none]) –

location to hold the uri

`version` ( [out][optional][transfer: none]) –

location to hold the version

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.parse_request

    function GstRtsp.RTSPMessage.prototype.parse_request(): {
        // javascript wrapper for 'gst_rtsp_message_parse_request'
    }

Parse the request message msg and store the values method, uri and version. The result locations can be NULL if one is not interested in its value.

uri remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`method` (GstRtsp.RTSPMethod ) –

a GstRtsp.RTSPResult.

`uri` (String ) –

a GstRtsp.RTSPResult.

`version` (GstRtsp.RTSPVersion ) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.parse_request

    def GstRtsp.RTSPMessage.parse_request (self):
        #python wrapper for 'gst_rtsp_message_parse_request'

Parse the request message msg and store the values method, uri and version. The result locations can be NULL if one is not interested in its value.

uri remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`method` (GstRtsp.RTSPMethod ) –

a GstRtsp.RTSPResult.

`uri` (str ) –

a GstRtsp.RTSPResult.

`version` (GstRtsp.RTSPVersion ) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_parse_response

    GstRTSPResult
    gst_rtsp_message_parse_response (GstRTSPMessage * msg,
                                     GstRTSPStatusCode * code,
                                     const gchar** reason,
                                     GstRTSPVersion * version)

Parse the response message msg and store the values code, reason and version. The result locations can be NULL if one is not interested in its value.

reason remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` –

a GstRTSPMessage

`code` ( [out][optional]) –

location to hold the status code

`reason` ( [out][optional][transfer: none]) –

location to hold the status reason

`version` ( [out][optional][transfer: none]) –

location to hold the version

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.parse_response

    function GstRtsp.RTSPMessage.prototype.parse_response(): {
        // javascript wrapper for 'gst_rtsp_message_parse_response'
    }

Parse the response message msg and store the values code, reason and version. The result locations can be NULL if one is not interested in its value.

reason remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`code` (GstRtsp.RTSPStatusCode ) –

a GstRtsp.RTSPResult.

`reason` (String ) –

a GstRtsp.RTSPResult.

`version` (GstRtsp.RTSPVersion ) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.parse_response

    def GstRtsp.RTSPMessage.parse_response (self):
        #python wrapper for 'gst_rtsp_message_parse_response'

Parse the response message msg and store the values code, reason and version. The result locations can be NULL if one is not interested in its value.

reason remains valid for as long as msg is valid and unchanged.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`code` (GstRtsp.RTSPStatusCode ) –

a GstRtsp.RTSPResult.

`reason` (str ) –

a GstRtsp.RTSPResult.

`version` (GstRtsp.RTSPVersion ) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_remove_header

    GstRTSPResult
    gst_rtsp_message_remove_header (GstRTSPMessage * msg,
                                    GstRTSPHeaderField field,
                                    gint indx)

Remove the indx header with key field from msg. If indx equals -1, all headers will be removed.

Parameters:

`msg` –

a GstRTSPMessage

`field` –

a GstRTSPHeaderField

`indx` –

the index of the header

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.remove_header

    function GstRtsp.RTSPMessage.prototype.remove_header(field: GstRtsp.RTSPHeaderField, indx: Number): {
        // javascript wrapper for 'gst_rtsp_message_remove_header'
    }

Remove the indx header with key field from msg. If indx equals -1, all headers will be removed.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`indx` (Number) –

the index of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.remove_header

    def GstRtsp.RTSPMessage.remove_header (self, field, indx):
        #python wrapper for 'gst_rtsp_message_remove_header'

Remove the indx header with key field from msg. If indx equals -1, all headers will be removed.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`indx` (int) –

the index of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_remove_header_by_name

    GstRTSPResult
    gst_rtsp_message_remove_header_by_name (GstRTSPMessage * msg,
                                            const gchar* header,
                                            gint index)

Remove the index header with key header from msg. If index equals -1, all matching headers will be removed.

Parameters:

`msg` –

a GstRTSPMessage

`header` –

the header string

`index` –

the index of the header

Returns –

a GstRTSPResult

Since : 1.6

#### GstRtsp.RTSPMessage.prototype.remove_header_by_name

    function GstRtsp.RTSPMessage.prototype.remove_header_by_name(header: String, index: Number): {
        // javascript wrapper for 'gst_rtsp_message_remove_header_by_name'
    }

Remove the index header with key header from msg. If index equals -1, all matching headers will be removed.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (String) –

the header string

`index` (Number) –

the index of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

Since : 1.6

#### GstRtsp.RTSPMessage.remove_header_by_name

    def GstRtsp.RTSPMessage.remove_header_by_name (self, header, index):
        #python wrapper for 'gst_rtsp_message_remove_header_by_name'

Remove the index header with key header from msg. If index equals -1, all matching headers will be removed.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (str) –

the header string

`index` (int) –

the index of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

Since : 1.6

#### gst_rtsp_message_set_body

    GstRTSPResult
    gst_rtsp_message_set_body (GstRTSPMessage * msg,
                               const guint8* data,
                               guint size)

Set the body of msg to a copy of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` –

a GstRTSPMessage

`data` ( [arraylength=size][transfer: none]) –

the data

`size` –

the size of data

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.set_body

    function GstRtsp.RTSPMessage.prototype.set_body(data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtsp_message_set_body'
    }

Set the body of msg to a copy of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`data` ([ Number ]) –

the data

`size` (Number) –

the size of data

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.set_body

    def GstRtsp.RTSPMessage.set_body (self, data, size):
        #python wrapper for 'gst_rtsp_message_set_body'

Set the body of msg to a copy of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`data` ([ int ]) –

the data

`size` (int) –

the size of data

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_set_body_buffer

    GstRTSPResult
    gst_rtsp_message_set_body_buffer (GstRTSPMessage * msg,
                                      GstBuffer * buffer)

Set the body of msg to buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` –

a GstRTSPMessage

`buffer` –

a GstBuffer

Returns –

GST_RTSP_OK.

Since : 1.16

#### GstRtsp.RTSPMessage.prototype.set_body_buffer

    function GstRtsp.RTSPMessage.prototype.set_body_buffer(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_message_set_body_buffer'
    }

Set the body of msg to buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### GstRtsp.RTSPMessage.set_body_buffer

    def GstRtsp.RTSPMessage.set_body_buffer (self, buffer):
        #python wrapper for 'gst_rtsp_message_set_body_buffer'

Set the body of msg to buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### gst_rtsp_message_steal_body

    GstRTSPResult
    gst_rtsp_message_steal_body (GstRTSPMessage * msg,
                                 guint8** data,
                                 guint* size)

Take the body of msg and store it in data and size. After this method, the body and size of msg will be set to NULL and 0 respectively.

Parameters:

`msg` –

a GstRTSPMessage

`data` ( [out][transfer: full][arraylength=size]) –

location for the data

`size` ( [out]) –

location for the size of data

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.steal_body

    function GstRtsp.RTSPMessage.prototype.steal_body(): {
        // javascript wrapper for 'gst_rtsp_message_steal_body'
    }

Take the body of msg and store it in data and size. After this method, the body and size of msg will be set to NULL and 0 respectively.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`data` ([ Number ] ) –

GstRtsp.RTSPResult.OK.

`size` (Number ) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.steal_body

    def GstRtsp.RTSPMessage.steal_body (self):
        #python wrapper for 'gst_rtsp_message_steal_body'

Take the body of msg and store it in data and size. After this method, the body and size of msg will be set to NULL and 0 respectively.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`data` ([ int ] ) –

GstRtsp.RTSPResult.OK.

`size` (int ) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_steal_body_buffer

    GstRTSPResult
    gst_rtsp_message_steal_body_buffer (GstRTSPMessage * msg,
                                        GstBuffer ** buffer)

Take the body of msg and store it in buffer. After this method, the body and size of msg will be set to NULL and 0 respectively.

If body data was set from raw memory instead of a GstBuffer this function will always return NULL. The caller can check if there is a body buffer by calling gst_rtsp_message_has_body_buffer.

Parameters:

`msg` –

a GstRTSPMessage

`buffer` ( [out][transfer: full]) –

location for the buffer

Returns –

GST_RTSP_OK.

Since : 1.16

#### GstRtsp.RTSPMessage.prototype.steal_body_buffer

    function GstRtsp.RTSPMessage.prototype.steal_body_buffer(): {
        // javascript wrapper for 'gst_rtsp_message_steal_body_buffer'
    }

Take the body of msg and store it in buffer. After this method, the body and size of msg will be set to NULL and 0 respectively.

If body data was set from raw memory instead of a Gst.Buffer this function will always return NULL. The caller can check if there is a body buffer by calling GstRtsp.RTSPMessage.prototype.has_body_buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`buffer` (Gst.Buffer ) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### GstRtsp.RTSPMessage.steal_body_buffer

    def GstRtsp.RTSPMessage.steal_body_buffer (self):
        #python wrapper for 'gst_rtsp_message_steal_body_buffer'

Take the body of msg and store it in buffer. After this method, the body and size of msg will be set to NULL and 0 respectively.

If body data was set from raw memory instead of a Gst.Buffer this function will always return NULL. The caller can check if there is a body buffer by calling GstRtsp.RTSPMessage.has_body_buffer.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`buffer` (Gst.Buffer ) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### gst_rtsp_message_take_body

    GstRTSPResult
    gst_rtsp_message_take_body (GstRTSPMessage * msg,
                                guint8* data,
                                guint size)

Set the body of msg to data and size. This method takes ownership of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` –

a GstRTSPMessage

`data` ( [arraylength=size][transfer: full]) –

the data

`size` –

the size of data

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.take_body

    function GstRtsp.RTSPMessage.prototype.take_body(data: [ Number ], size: Number): {
        // javascript wrapper for 'gst_rtsp_message_take_body'
    }

Set the body of msg to data and size. This method takes ownership of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`data` ([ Number ]) –

the data

`size` (Number) –

the size of data

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.take_body

    def GstRtsp.RTSPMessage.take_body (self, data, size):
        #python wrapper for 'gst_rtsp_message_take_body'

Set the body of msg to data and size. This method takes ownership of data. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`data` ([ int ]) –

the data

`size` (int) –

the size of data

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_message_take_body_buffer

    GstRTSPResult
    gst_rtsp_message_take_body_buffer (GstRTSPMessage * msg,
                                       GstBuffer * buffer)

Set the body of msg to buffer. This method takes ownership of buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` –

a GstRTSPMessage

`buffer` ( [transfer: full]) –

a GstBuffer

Returns –

GST_RTSP_OK.

Since : 1.16

#### GstRtsp.RTSPMessage.prototype.take_body_buffer

    function GstRtsp.RTSPMessage.prototype.take_body_buffer(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_message_take_body_buffer'
    }

Set the body of msg to buffer. This method takes ownership of buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### GstRtsp.RTSPMessage.take_body_buffer

    def GstRtsp.RTSPMessage.take_body_buffer (self, buffer):
        #python wrapper for 'gst_rtsp_message_take_body_buffer'

Set the body of msg to buffer. This method takes ownership of buffer. Any existing body or body buffer will be replaced by the new body.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

Since : 1.16

#### gst_rtsp_message_take_header

    GstRTSPResult
    gst_rtsp_message_take_header (GstRTSPMessage * msg,
                                  GstRTSPHeaderField field,
                                  gchar* value)

Add a header with key field and value to msg. This function takes ownership of value.

Parameters:

`msg` –

a GstRTSPMessage

`field` –

a GstRTSPHeaderField

`value` ( [transfer: full]) –

the value of the header

Returns –

a GstRTSPResult.

#### GstRtsp.RTSPMessage.prototype.take_header

    function GstRtsp.RTSPMessage.prototype.take_header(field: GstRtsp.RTSPHeaderField, value: String): {
        // javascript wrapper for 'gst_rtsp_message_take_header'
    }

Add a header with key field and value to msg. This function takes ownership of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`value` (String) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtsp.RTSPMessage.take_header

    def GstRtsp.RTSPMessage.take_header (self, field, value):
        #python wrapper for 'gst_rtsp_message_take_header'

Add a header with key field and value to msg. This function takes ownership of value.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

`value` (str) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_message_take_header_by_name

    GstRTSPResult
    gst_rtsp_message_take_header_by_name (GstRTSPMessage * msg,
                                          const gchar* header,
                                          gchar* value)

Add a header with key header and value to msg. This function takes ownership of value, but not of header.

Parameters:

`msg` –

a GstRTSPMessage

`header` ( [transfer: none]) –

a header string

`value` ( [transfer: full]) –

the value of the header

Returns –

a GstRTSPResult.

Since : 1.6

#### GstRtsp.RTSPMessage.prototype.take_header_by_name

    function GstRtsp.RTSPMessage.prototype.take_header_by_name(header: String, value: String): {
        // javascript wrapper for 'gst_rtsp_message_take_header_by_name'
    }

Add a header with key header and value to msg. This function takes ownership of value, but not of header.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (String) –

a header string

`value` (String) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

Since : 1.6

#### GstRtsp.RTSPMessage.take_header_by_name

    def GstRtsp.RTSPMessage.take_header_by_name (self, header, value):
        #python wrapper for 'gst_rtsp_message_take_header_by_name'

Add a header with key header and value to msg. This function takes ownership of value, but not of header.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`header` (str) –

a header string

`value` (str) –

the value of the header

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

Since : 1.6

#### gst_rtsp_message_unset

    GstRTSPResult
    gst_rtsp_message_unset (GstRTSPMessage * msg)

Unset the contents of msg so that it becomes an uninitialized GstRTSPMessage again. This function is mostly used in combination with gst_rtsp_message_init_request, gst_rtsp_message_init_response and gst_rtsp_message_init_data on stack allocated GstRTSPMessage structures.

Parameters:

`msg` –

a GstRTSPMessage

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPMessage.prototype.unset

    function GstRtsp.RTSPMessage.prototype.unset(): {
        // javascript wrapper for 'gst_rtsp_message_unset'
    }

Unset the contents of msg so that it becomes an uninitialized GstRtsp.RTSPMessage again. This function is mostly used in combination with GstRtsp.RTSPMessage.prototype.init_request, GstRtsp.RTSPMessage.prototype.init_response and GstRtsp.RTSPMessage.prototype.init_data on stack allocated GstRtsp.RTSPMessage structures.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPMessage.unset

    def GstRtsp.RTSPMessage.unset (self):
        #python wrapper for 'gst_rtsp_message_unset'

Unset the contents of msg so that it becomes an uninitialized GstRtsp.RTSPMessage again. This function is mostly used in combination with GstRtsp.RTSPMessage.init_request, GstRtsp.RTSPMessage.init_response and GstRtsp.RTSPMessage.init_data on stack allocated GstRtsp.RTSPMessage structures.

Parameters:

`msg` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

## Functions

### gst_rtsp_auth_credentials_free

    gst_rtsp_auth_credentials_free (GstRTSPAuthCredential ** credentials)

Free a NULL-terminated array of credentials returned from gst_rtsp_message_parse_auth_credentials.

Parameters:

`credentials` –

a NULL-terminated array of GstRTSPAuthCredential

Since : 1.12

### GstRtsp.prototype.rtsp_auth_credentials_free

    function GstRtsp.prototype.rtsp_auth_credentials_free(credentials: GstRtsp.RTSPAuthCredential): {
        // javascript wrapper for 'gst_rtsp_auth_credentials_free'
    }

Free a NULL-terminated array of credentials returned from GstRtsp.RTSPMessage.prototype.parse_auth_credentials.

Parameters:

`credentials` (GstRtsp.RTSPAuthCredential) –

a NULL-terminated array of GstRtsp.RTSPAuthCredential

Since : 1.12

### GstRtsp.rtsp_auth_credentials_free

    def GstRtsp.rtsp_auth_credentials_free (credentials):
        #python wrapper for 'gst_rtsp_auth_credentials_free'

Free a NULL-terminated array of credentials returned from GstRtsp.RTSPMessage.parse_auth_credentials.

Parameters:

`credentials` (GstRtsp.RTSPAuthCredential) –

a NULL-terminated array of GstRtsp.RTSPAuthCredential

Since : 1.12

### gst_rtsp_message_new

    GstRTSPResult
    gst_rtsp_message_new (GstRTSPMessage ** msg)

Create a new initialized GstRTSPMessage. Free with gst_rtsp_message_free.

Parameters:

`msg` ( [out][transfer: full]) –

a location for the new GstRTSPMessage

Returns –

a GstRTSPResult.

### GstRtsp.prototype.rtsp_message_new

    function GstRtsp.prototype.rtsp_message_new(): {
        // javascript wrapper for 'gst_rtsp_message_new'
    }

Create a new initialized GstRtsp.RTSPMessage. Free with GstRtsp.RTSPMessage.prototype.free.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### GstRtsp.rtsp_message_new

    def GstRtsp.rtsp_message_new ():
        #python wrapper for 'gst_rtsp_message_new'

Create a new initialized GstRtsp.RTSPMessage. Free with GstRtsp.RTSPMessage.free.

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### gst_rtsp_message_new_data

    GstRTSPResult
    gst_rtsp_message_new_data (GstRTSPMessage ** msg,
                               guint8 channel)

Create a new data GstRTSPMessage with channel and store the result message in msg. Free with gst_rtsp_message_free.

Parameters:

`msg` ( [out][transfer: full]) –

a location for the new GstRTSPMessage

`channel` –

the channel

Returns –

a GstRTSPResult.

### GstRtsp.prototype.rtsp_message_new_data

    function GstRtsp.prototype.rtsp_message_new_data(channel: Number): {
        // javascript wrapper for 'gst_rtsp_message_new_data'
    }

Create a new data GstRtsp.RTSPMessage with channel and store the result message in msg. Free with GstRtsp.RTSPMessage.prototype.free.

Parameters:

`channel` (Number) –

the channel

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### GstRtsp.rtsp_message_new_data

    def GstRtsp.rtsp_message_new_data (channel):
        #python wrapper for 'gst_rtsp_message_new_data'

Create a new data GstRtsp.RTSPMessage with channel and store the result message in msg. Free with GstRtsp.RTSPMessage.free.

Parameters:

`channel` (int) –

the channel

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### gst_rtsp_message_new_request

    GstRTSPResult
    gst_rtsp_message_new_request (GstRTSPMessage ** msg,
                                  GstRTSPMethod method,
                                  const gchar* uri)

Create a new GstRTSPMessage with method and uri and store the result request message in msg. Free with gst_rtsp_message_free.

Parameters:

`msg` ( [out][transfer: full]) –

a location for the new GstRTSPMessage

`method` –

the request method to use

`uri` ( [transfer: none]) –

the uri of the request

Returns –

a GstRTSPResult.

### GstRtsp.prototype.rtsp_message_new_request

    function GstRtsp.prototype.rtsp_message_new_request(method: GstRtsp.RTSPMethod, uri: String): {
        // javascript wrapper for 'gst_rtsp_message_new_request'
    }

Create a new GstRtsp.RTSPMessage with method and uri and store the result request message in msg. Free with GstRtsp.RTSPMessage.prototype.free.

Parameters:

`method` (GstRtsp.RTSPMethod) –

the request method to use

`uri` (String) –

the uri of the request

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### GstRtsp.rtsp_message_new_request

    def GstRtsp.rtsp_message_new_request (method, uri):
        #python wrapper for 'gst_rtsp_message_new_request'

Create a new GstRtsp.RTSPMessage with method and uri and store the result request message in msg. Free with GstRtsp.RTSPMessage.free.

Parameters:

`method` (GstRtsp.RTSPMethod) –

the request method to use

`uri` (str) –

the uri of the request

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### gst_rtsp_message_new_response

    GstRTSPResult
    gst_rtsp_message_new_response (GstRTSPMessage ** msg,
                                   GstRTSPStatusCode code,
                                   const gchar* reason,
                                   const GstRTSPMessage * request)

Create a new response GstRTSPMessage with code and reason and store the result message in msg. Free with gst_rtsp_message_free.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`msg` ( [out][transfer: full]) –

a location for the new GstRTSPMessage

`code` –

the status code

`reason` ( [transfer: none][nullable]) –

the status reason or NULL

`request` ( [transfer: none][nullable]) –

the request that triggered the response or NULL

Returns –

a GstRTSPResult.

### GstRtsp.prototype.rtsp_message_new_response

    function GstRtsp.prototype.rtsp_message_new_response(code: GstRtsp.RTSPStatusCode, reason: String, request: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_message_new_response'
    }

Create a new response GstRtsp.RTSPMessage with code and reason and store the result message in msg. Free with GstRtsp.RTSPMessage.prototype.free.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`code` (GstRtsp.RTSPStatusCode) –

the status code

`reason` (String) –

the status reason or NULL

`request` (GstRtsp.RTSPMessage) –

the request that triggered the response or NULL

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

### GstRtsp.rtsp_message_new_response

    def GstRtsp.rtsp_message_new_response (code, reason, request):
        #python wrapper for 'gst_rtsp_message_new_response'

Create a new response GstRtsp.RTSPMessage with code and reason and store the result message in msg. Free with GstRtsp.RTSPMessage.free.

When reason is NULL, the default reason for code will be used.

When request is not NULL, the relevant headers will be copied to the new response message.

Parameters:

`code` (GstRtsp.RTSPStatusCode) –

the status code

`reason` (str) –

the status reason or NULL

`request` (GstRtsp.RTSPMessage) –

the request that triggered the response or NULL

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`msg` (GstRtsp.RTSPMessage ) –

a GstRtsp.RTSPResult.

## Function Macros

### GST_RTSP_MESSAGE

    #define GST_RTSP_MESSAGE(object)        (GST_RTSP_MESSAGE_CAST(object))

### GST_RTSP_MESSAGE_CAST

    #define GST_RTSP_MESSAGE_CAST(object)   ((GstRTSPMessage *)(object))

## Enumerations

### GstRTSPMsgType

The type of a message.

##### Members

`GST_RTSP_MESSAGE_INVALID` (0) –

invalid message type

`GST_RTSP_MESSAGE_REQUEST` (1) –

RTSP request message

`GST_RTSP_MESSAGE_RESPONSE` (2) –

RTSP response message

`GST_RTSP_MESSAGE_HTTP_REQUEST` (3) –

HTTP request message.

`GST_RTSP_MESSAGE_HTTP_RESPONSE` (4) –

HTTP response message.

`GST_RTSP_MESSAGE_DATA` (5) –

data message

### GstRtsp.RTSPMsgType

The type of a message.

##### Members

`GstRtsp.RTSPMsgType.INVALID` (0) –

invalid message type

`GstRtsp.RTSPMsgType.REQUEST` (1) –

RTSP request message

`GstRtsp.RTSPMsgType.RESPONSE` (2) –

RTSP response message

`GstRtsp.RTSPMsgType.HTTP_REQUEST` (3) –

HTTP request message.

`GstRtsp.RTSPMsgType.HTTP_RESPONSE` (4) –

HTTP response message.

`GstRtsp.RTSPMsgType.DATA` (5) –

data message

### GstRtsp.RTSPMsgType

The type of a message.

##### Members

`GstRtsp.RTSPMsgType.INVALID` (0) –

invalid message type

`GstRtsp.RTSPMsgType.REQUEST` (1) –

RTSP request message

`GstRtsp.RTSPMsgType.RESPONSE` (2) –

RTSP response message

`GstRtsp.RTSPMsgType.HTTP_REQUEST` (3) –

HTTP request message.

`GstRtsp.RTSPMsgType.HTTP_RESPONSE` (4) –

HTTP response message.

`GstRtsp.RTSPMsgType.DATA` (5) –

data message

## Constants

### GST_TYPE_RTSP_AUTH_CREDENTIAL

    #define GST_TYPE_RTSP_AUTH_CREDENTIAL gst_rtsp_auth_credential_get_type()

### GST_TYPE_RTSP_AUTH_PARAM

    #define GST_TYPE_RTSP_AUTH_PARAM gst_rtsp_auth_param_get_type()

### GST_TYPE_RTSP_MESSAGE

    #define GST_TYPE_RTSP_MESSAGE           (gst_rtsp_msg_get_type())

The results of the search are